#ifndef __NLL_LINE_H_INCLUDED__
#define __NLL_LINE_H_INCLUDED__

#define LINE_MAXLEN 256

typedef struct line {
  struct line *next;
  char buffer[LINE_MAXLEN + 1];
} *line_t;

line_t line_alloc(void);
int line_free(line_t line);
int line_init(void);
int line_clear(void);
line_t line_head(void);
int line_is_exist(line_t line);
int line_get(int number, line_t *linep);
int line_set(int number, int number2, char *buffer, line_t *linep);
int line_print(int start_number, int end_number);

#endif
