#ifndef __NLL_LABEL_H_INCLUDED__
#define __NLL_LABEL_H_INCLUDED__

#define LABEL_NAMELEN 64

typedef struct label {
  struct label *next;
  line_t line;
  int column;
  char name[LABEL_NAMELEN + 1];
} *label_t;

int label_init(void);
int label_get(const char *name, label_t *labelp);
int label_set(const char *name, line_t line, int column);
int label_del(line_t line);
int label_print(void);

#endif
